aboutsummaryrefslogtreecommitdiffstats
path: root/resources
diff options
context:
space:
mode:
authorpmikus <peter.mikus@protonmail.ch>2024-08-01 13:15:13 +0200
committerPeter Mikus <peter.mikus@protonmail.ch>2024-08-01 11:34:49 +0000
commit8cb5e72130d7f10a5918c1b5f5738f4ce6945d7f (patch)
tree4deecd64b8014cb89b3685c421a7c7f0aac42fac /resources
parentcac0e1ee4248bbe22f3a8acdd52539f2d861bb0f (diff)
feat(ebs): Install hugo if not foundoper-240805
Signed-off-by: Peter Mikus <peter.mikus@protonmail.ch> Change-Id: Ice4c09579a174c0ce3d26c8429016d55414bfb93
Diffstat (limited to 'resources')
-rw-r--r--resources/libraries/bash/function/hugo.sh6
1 files changed, 3 insertions, 3 deletions
diff --git a/resources/libraries/bash/function/hugo.sh b/resources/libraries/bash/function/hugo.sh
index 052e8333fb..52a6d0afaf 100644
--- a/resources/libraries/bash/function/hugo.sh
+++ b/resources/libraries/bash/function/hugo.sh
@@ -1,6 +1,6 @@
#!/usr/bin/env bash
-# Copyright (c) 2023 Cisco and/or its affiliates.
+# Copyright (c) 2024 Cisco and/or its affiliates.
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at:
@@ -46,7 +46,7 @@ function hugo_build_site () {
# - die - Print to stderr and exit.
if ! installed hugo; then
- die "Please install Hugo!"
+ hugo_install || die "Please install Hugo!"
fi
pushd "${CSIT_DIR}"/docs || die "Pushd failed!"
@@ -65,7 +65,7 @@ function hugo_init_modules () {
# - die - Print to stderr and exit.
if ! installed hugo; then
- die "Please install Hugo!"
+ hugo_install || die "Please install Hugo!"
fi
hugo_book_url="github.com/alex-shpak/hugo-book"